nozzle_diam = 0.4; // adjust for nozzle diameter
inner_d = 8 + nozzle_diam+0.6; // dimensions of overall bearing
outer_d = 15;
length = 20;

num_teeth = 12; // parameters for bearing teeth
tooth_th = 0.75;
tooth_angle = 15;
tooth_depth = (outer_d/2-inner_d/2)/cos(tooth_angle)*2;
bearing_twist = 30;

linear_extrude(height=length, twist = bearing_twist, center=true, slices=200)
difference() {
    circle(r=outer_d/2, center=true, $fn=100);
    for(a = [0:360/num_teeth:360]) {
        rotate([0,0,a]) translate([outer_d/2,0,0]) rotate([0,0,tooth_angle]) 
            square([tooth_depth,tooth_th], center=true);
    }
}